diff --git a/src_c/display.c b/src_c/display.c
index f0799646a7..ed0b7c7ddb 100644
--- a/src_c/display.c
+++ b/src_c/display.c
@@ -366,6 +366,8 @@ pg_vidinfo_str(PyObject *self)
         info->vfmt->Bshift, info->vfmt->Ashift, info->vfmt->Rloss,
         info->vfmt->Gloss, info->vfmt->Bloss, info->vfmt->Aloss, current_w,
         current_h, trimmed_format_name);
+
+        free(trimmed_format_name);
 }
 
 static PyTypeObject pgVidInfo_Type = {
